Bug 106556 - Missing libstdc++-devel dependency for the devel package
Summary: Missing libstdc++-devel dependency for the devel package
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libmusicbrainz (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-08 11:56 UTC by Matthias Saou
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-18 22:56:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthias Saou 2003-10-08 11:56:42 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20031003

Description of problem:
In the /usr/lib/pkgconfig/libmusicbrainz.pc file, there is :

Libs: -L${libdir} -lmusicbrainz -lstdc++ -lm

It would seem natural to add libstdc++-devel as a dependency of the
libmusicbrainz-devel package, in order for linking against libmusicbrainz to
always work when the devel package is installed.

Version-Release number of selected component (if applicable):
libmusicbrainz-2.0.2-5

How reproducible:
Always

Steps to Reproduce:
1. Install libmusicbrainz-devel on a minimal system
2. Try to recompile an application that links against libmusicbrainz-devel
    

Actual Results:  /usr/bin/ld: cannot find -lstdc++

Expected Results:  If the devel package had pulled libstdc++-devel as a
dependency, everything would always work.

Additional info:

Comment 1 Brent Fox 2003-12-18 21:00:26 UTC
Fixed in cvs.  Thanks for the report.


Note You need to log in before you can comment on or make changes to this bug.